Miridia
Portal
Procurement

Purchase orders

The purchase orders operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/v1/purchase-ordersGet purchase orders
POST/api/v1/purchase-ordersCreate purchase order
GET/api/v1/purchase-orders/{purchaseOrderId}Get purchase order
PATCH/api/v1/purchase-orders/{purchaseOrderId}Patch purchase order
GET/api/v1/purchase-orders/{purchaseOrderId}/tracesGet activity traces
POST/api/v1/purchase-orders/{purchaseOrderId}/itemsAdd purchase order item
DELETE/api/v1/purchase-orders/{purchaseOrderId}/items/{itemId}Remove purchase order item
POST/api/v1/purchase-orders/{purchaseOrderId}/shipmentsCreate purchase order shipment
POST/api/v1/purchase-orders/{purchaseOrderId}/receiptsReceive purchase order

Get purchase orders

GET/api/v1/purchase-orders

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders view permission.

Parameters

NameInTypeRequiredDescription
Pagequeryinteger (int32)NoLimits: minimum 1.
PageSizequeryinteger (int32)NoLimits: minimum 1, maximum 100.
$orderbyquerystringNoExample: "created_at desc" or "name asc"
$filterquerystringNoApply a ODATA style filter to the query to add a fixed constraint. For example, if you want to filter by the creation date, you would set the filter to "created_at ge 2022-01-01". Or if you want to filter by a specific status, you would set the filter to "status eq 'active'".
$searchquerystringNoProvide a search value which would inherit the 'CONTAINS' behaviour.
supplierIdquerystring (uuid)No
statusqueryenum PurchaseOrderStatusNoOne of: Draft, Ordered, Confirmed, PartiallyReceived, Received, Closed, Cancelled.
destinationLocationIdquerystring (uuid)No
fromDatequerystring (date-time)No
toDatequerystring (date-time)No

Response

200. Returns a PagedResult envelope. Each item in data is PurchaseOrderResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/purchase-orders" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "supplierTitle": "string",
      "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "destinationLocationTitle": "string",
      "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "status": "Draft",
      "currencyCode": "Eur",
      "subTotal": 0,
      "totalTax": 0,
      "totalPrice": 0,
      "expectedDeliveryDate": "2026-09-29T08:00:00Z",
      "effectiveDate": "2026-09-29T08:00:00Z",
      "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
      "description": "string",
      "notes": "string",
      "items": [
        {}
      ],
      "shipments": [
        {}
      ],
      "dateCreated": "2026-09-29T08:00:00Z",
      "dateModified": "2026-09-29T08:00:00Z"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Create purchase order

POST/api/v1/purchase-orders

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Request body

Send JSON with the shape CreatePurchaseOrderCommand.

FieldTypeRequiredDescription
supplierIdstring (uuid)No
destinationLocationIdstring (uuid)No
sourceTransferOrderIdstring (uuid)NoOptional demand-source link. See sourceTransferOrderId.
currencyCodeenum CurrencyCodeNoOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
expectedDeliveryDatestring (date-time)No
effectiveDatestring (date-time)NoOrder/placement date. Defaults to now when omitted.
descriptionstringNo
notesstringNo
itemsCreatePurchaseOrderItemRequest[]No

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/purchase-orders" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "currencyCode": "Eur",
  "expectedDeliveryDate": "2026-09-29T08:00:00Z",
  "effectiveDate": "2026-09-29T08:00:00Z",
  "description": "string",
  "notes": "string",
  "items": [
    {
      "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "quantityOrdered": 0,
      "unitCost": 0,
      "totalTax": 0
    }
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get purchase order

GET/api/v1/purchase-orders/{purchaseOrderId}

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders view permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Patch purchase order

PATCH/api/v1/purchase-orders/{purchaseOrderId}

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Request body

Send JSON with the shape PatchPurchaseOrderCommand. Partial update of a purchase order's header. Every field is nullable and only applied when non-null.

FieldTypeRequiredDescription
purchaseOrderIdstring (uuid)NoBound from the route, not the body.
supplierIdstring (uuid)No
destinationLocationIdstring (uuid)No
currencyCodeenum CurrencyCodeNoOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
statusenum PurchaseOrderStatusNoOne of: Draft, Ordered, Confirmed, PartiallyReceived, Received, Closed, Cancelled.
expectedDeliveryDatestring (date-time)No
descriptionstringNo
notesstringNo

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X PATCH "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "purchaseOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "currencyCode": "Eur",
  "status": "Draft",
  "expectedDeliveryDate": "2026-09-29T08:00:00Z",
  "description": "string",
  "notes": "string"
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get activity traces

GET/api/v1/purchase-orders/{purchaseOrderId}/traces

Get purchase order activity traces

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders view permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is ActivityTrace.

Request
curl -X GET "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}/traces" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "activityType": "System",
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "title": "string",
      "message": "string",
      "source": "string",
      "actionLink": "string",
      "level": "Standard",
      "dateOfActivity": "2026-09-29T08:00:00Z",
      "isDashboardOnly": true,
      "icon": "SyncAlert"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Add purchase order item

POST/api/v1/purchase-orders/{purchaseOrderId}/items

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Request body

Send JSON with the shape CreatePurchaseOrderItemRequest. A line item supplied when creating a purchase order or adding an item to a Draft one.

FieldTypeRequiredDescription
productIdstring (uuid)No
quantityOrderednumber (double)No
unitCostnumber (double)NoThe unit cost for this line. When omitted, it defaults to the product's primary supplier link's LastQuotedPrice; when neither is available it is zero.
totalTaxnumber (double)No

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}/items" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "quantityOrdered": 0,
  "unitCost": 0,
  "totalTax": 0
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Remove purchase order item

DELETE/api/v1/purchase-orders/{purchaseOrderId}/items/{itemId}

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes
itemIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}/items/{itemId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Create purchase order shipment

POST/api/v1/purchase-orders/{purchaseOrderId}/shipments

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Request body

Send JSON with the shape CreatePurchaseOrderShipmentCommand.

FieldTypeRequiredDescription
purchaseOrderIdstring (uuid)NoBound from the route, not the body.
dateCreatedstring (date-time)NoWhen the shipment was created. Optional; defaults to now.

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}/shipments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "purchaseOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "dateCreated": "2026-09-29T08:00:00Z"
}'

Receive purchase order

POST/api/v1/purchase-orders/{purchaseOrderId}/receipts

Access. Send a bearer token or an API key. The caller needs the PurchaseOrders modify permission.

Parameters

NameInTypeRequiredDescription
purchaseOrderIdpathstring (uuid)Yes

Request body

Send JSON with the shape ReceivePurchaseOrderCommand. Records a receiving pass against a purchase order. Per-line received/rejected quantities that post inventory movements, increment the line items, and recompute the purchase order's status.

FieldTypeRequiredDescription
purchaseOrderIdstring (uuid)NoBound from the route, not the body.
effectiveDatestring (date-time)NoOptional business-date override for this receipt's inventory movement(s) and, once the purchase order completes, the dateOfReceiptCompletion stamp (defaults to now). One per receipt call. Not per line. Mirroring the platform's existing effective-date backdating convention (orders/movements).
linesReceivePurchaseOrderItemRequest[]No

Response

200. Returns a SingleResult envelope. The data field is PurchaseOrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/purchase-orders/{purchaseOrderId}/receipts" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "purchaseOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "effectiveDate": "2026-09-29T08:00:00Z",
  "lines": [
    {
      "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "quantityReceived": 0,
      "quantityRejected": 0,
      "unitCost": 0
    }
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "supplierId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "supplierTitle": "string",
    "destinationLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "destinationLocationTitle": "string",
    "sourceTransferOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "Draft",
    "currencyCode": "Eur",
    "subTotal": 0,
    "totalTax": 0,
    "totalPrice": 0,
    "expectedDeliveryDate": "2026-09-29T08:00:00Z",
    "effectiveDate": "2026-09-29T08:00:00Z",
    "dateOfReceiptCompletion": "2026-09-29T08:00:00Z",
    "description": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "shipments": [
      {}
    ],
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Models

The operations on this page use these object types. Select a type to see its fields.

ActivityTrace

Refer to ActionMessage. An activity trace becomes an action message once the response to the client is sent.

FieldTypeDescription
idstring (uuid)
activityTypeenum ActivityTypeOne of: System, User.
userIdstring (uuid)
codestring
titlestring
messagestring
sourcestring
actionLinkstring
levelenum NotificationLevelOne of: Standard, Info, Warning, Error, Success, Recommendation.
dateOfActivitystring (date-time)
isDashboardOnlyboolean
iconenum MdiIconOne of: None, SyncAlert, Autorenew, Check, CheckMarkedCircle, AlertCircle, TruckDeliveryOutline, TruckFastOutline, PackageCheck, Warehouse, SwapHorizontal, AccountCheck, AccountRemove, AccountCancel, Delete.
AddressResponse
FieldTypeDescription
idstring (uuid)
placeIdstring
namestring
websitestring
fullAddressstring
streetstring
suburbstring
citystring
countrystring
postcodestring
unitstring
numberstring
provincestring
latitudenumber (double)
longitudenumber (double)
BusinessResponse
FieldTypeDescription
idstring (uuid)
registeredNamestring
registrationNumberstring
displayNamestring
phoneNumberstring
websitestring
emailstring
requiresOrderIntegrationboolean
requiresOrderFulfillmentboolean
requiresAccountingIntegrationboolean
requiresDispatchBuilderboolean
billingAddressAddressResponse
shippingAddressAddressResponse
currentUserPrimitiveUserResponse
CollectionResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
collectAfterTimestringFormatted in HH not hh (24 hours)
collectBeforeTimestringFormatted in HH not hh (24 hours)
dateOfCollectionstring (date-time)
ContactResponse
FieldTypeDescription
idstring (uuid)
titlestring
descriptionstring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
mobileNumberstring
CreatePurchaseOrderItemRequest

A line item supplied when creating a purchase order or adding an item to a Draft one.

FieldTypeDescription
productIdstring (uuid)
quantityOrderednumber (double)
unitCostnumber (double)The unit cost for this line. When omitted, it defaults to the product's primary supplier link's LastQuotedPrice; when neither is available it is zero.
totalTaxnumber (double)
CurrencyResponse
FieldTypeDescription
iso4217string
utf8Symbolstring
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
CustomerIntegrationProviderResponse
FieldTypeDescription
providerPrimitiveIntegrationProviderResponse
customerCustomerResponse
CustomerResponse
FieldTypeDescription
idstring (uuid)
isBusinessboolean
titlestring
websitestring
emailstring
businessNamestring
groupIdstring (uuid)The customer group this customer belongs to, if any. Used as a price-list assignment scope.
phoneNumberstringThis would generally represent the phone number for the customer if the customer is a business. Otherwise, the contact details should be part of the contact, and not the customer. Limits: maximum 20 characters.
integrationTypeenum IntegrationProviderTypeOne of: None, Commerce, Accounting, Erp, Crm, Fulfillment, Warehouse, WorkflowManager.
dateCreatedstring (date-time)
billingAddressAddressResponse
shippingAddressAddressResponse
integrationsCustomerIntegrationProviderResponse[]
contactsContactResponse[]
primaryContactContactResponse
parentCustomerResponse
attachmentsMetadataFileAttachment[]
totalSalesinteger (int32)
totalSpentnumber (double)
metadatamap<string, string>
DeliveryResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
deliverAfterTimestringFormatted in HH not hh (24 hours)
deliverBeforeTimestringFormatted in HH not hh (24 hours)
dateOfDeliverystring (date-time)
DimensionTypeWithSymbols
FieldTypeDescription
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
volumeTypeenum VolumeTypeOne of: None, Litre, CubicCentimeter, CubicMeter, Gallon, CubicInch, CubicFoot.
lengthSymbolstring
weightSymbolstring
volumeSymbolstring
DispatchResponse
FieldTypeDescription
idstring (uuid)
codestring
descriptionstring
dispatchStatusenum DispatchStatusesOne of: Active, Pending, Dispatched, Cancelled, Complete, Draft, InTransit, Unassigned.
dateOfDeparturestring (date-time)
scheduledDateOfDeparturestring (date-time)
dateOfCompletionstring (date-time)
shipmentsShipmentResponse[]
driversDriverResponse[]
vehicleVehicleResponse
businessBusinessResponse
DriverResponse
FieldTypeDescription
idstring (uuid)
idNumberstring
licenseNumberstring
licenseTypeIdinteger (int32)
licenseRenewalDatestring (date-time)
licenseIssuedDatestring (date-time)
userDriverUserResponse
DriverUserResponse
FieldTypeDescription
idstring (uuid)
firstNamestring
lastNamestring
emailstring
phoneNumberstring
FulfillmentItemResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
titlestring
quantitynumber (double)
declaredValuenumber (double)
descriptionstring
FulfillmentProviderServiceTypeModel

This model represents the different services which the fulfillment provider provides.

FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentRequirementTypeModel
FieldTypeDescription
idinteger (int32)
valuestring
GeometryFieldsResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
weightSymbolstring
lengthSymbolstring
MetadataFileAttachment

Not quite as complete as the normal FileAttachment aggregate.

FieldTypeDescription
idstring (uuid)
typeenum MetadataAttachmentTypeOne of: File, Link.
fileAttachmentIdstring (uuid)Left as Guid.Empty for Link entries.
titlestring
urlstring
contentTypestring
descriptionstring
OrderCarrierMetadata
FieldTypeDescription
carrierIdstring (uuid)
earliestCollectionstring (date-time)
collectionRequestedstring (date-time)
collectionAfterRequeststring (date-time)
dateDeliveredstring (date-time)
dateOfReturnRequestedstring (date-time)
timeframestring
requestedCollectionboolean
shipmentLabelGeneratedboolean
requestedReturnboolean
packageCountinteger (int32)
packagesOrderPackageMetadata[]
OrderIntegrationDetailsResponse
FieldTypeDescription
idstring (uuid)
integrationIdstringThe integration id as displayed on the relevant integration
providerPrimitiveIntegrationProviderResponse
OrderItemResponse

Order Item maps onto ProductOrder and contains a property with all of the product information.

FieldTypeDescription
idstring (uuid)
codestring
quantityOrderednumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
orderShipmentOrderShipmentResponse
productProductResponse
shipmentShipmentResponse
carrierPrimitiveIntegrationProviderResponse
dimensionPresetPrimitiveDimensionPreset
titlestring
descriptionstring
primaryImageUrlstring
geometryGeometryFieldsResponse
billingPriceDetailsResponse
OrderPackageMetadata
FieldTypeDescription
productIdstring (uuid)
dimensionsGeometry
OrderResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
codestring
deliveryItemCountinteger (int32)
orderItemCountnumber (double)Total quantity of items ordered across all line items. Surfaced for list views.
descriptionstring
purchaseOrderNumberstringThe customer's purchase order number, when this order was raised from a received customer PO.
billingPriceDetailsResponse
shippingCostsOrderShippingCostsResponse
fulfillmentStatusenum FulfillmentStatusOne of: Unknown, Unassigned, PendingCollection, PendingDelivery, Fulfilled, Cancelled.
customerIpAddressstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
statusenum OrderStatusOne of: Unknown, New, PendingCollection, PendingDelivery, Complete, Cancelled, PendingReturn, Returned.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentSubTypeenum FulfillmentSubTypeOne of: Unknown, GeneralPackage, FoodDelivery, MedicalDelivery, GroceriesDelivery, StandardPallet, StandardInternationalPallet, StandardUsPallet, StandardEuroPallet, CustomPallet, General10Ft, General20Ft, HighCube20Ft, General40Ft, HighCube40Ft, General45Ft, HighCube45Ft, FlatRack20FtWithSides, FlatRack20FtWithoutSides, FlatRack40FtWithSides, FlatRack40FtWithoutSides, OpenTop20Ft, OpenTop40Ft, Reefer20Ft, Reefer40Ft, MiniVan, DryVan, Flatbed, Tanker, AutoHauler, BoxTruck, Trailer, LowBoy, Dumper, Pickup, TowTruck, DumpTruck.
dateOfScheduledCollectionstring (date-time)
dateCreatedOnIntegrationstring (date-time)
effectiveDatestring (date-time)
dateOfDeliveryCompletionstring (date-time)
dateImportedstring (date-time)
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
paymentProcessedboolean
paymentUrlstring
integrationOrderUrlstring
multiCarrierboolean
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
paymentMethodenum PaymentMethodOne of: Unknown, Cash, Card, CashOnDelivery, CardOnDelivery, Eft, Crypto, Paypal, WireTransfer, DebitOrder.
attachmentsMetadataFileAttachment[]
orderItemsOrderItemResponse[]
orderShipmentsOrderShipmentResponse[]
destinationAddressAddressResponse
originAddressAddressResponse
originLocationIdstring (uuid)The location/store the order is attributed to (trace which store it came from).
originLocationTitlestring
sourceChannelIdstring (uuid)The sales channel (medium) the order came through.
sourceChannelTitlestring
sourceChannelSalesChannelResponse
customerCustomerResponse
carrierMetadataOrderCarrierMetadata
dimensionTypeDimensionTypeWithSymbols
currencyMetadataCurrencyResponse
fulfillmentProvidersPrimitiveIntegrationProviderResponse[]
packageSizesPrimitiveDimensionPreset[]
integrationsOrderIntegrationDetailsResponse[]
metadatamap<string, string>
OrderShipmentResponse
FieldTypeDescription
shipmentQuotationShipmentQuotationResponse
orderOrderResponse
shipmentShipmentResponse
fulfillmentProviderPrimitiveIntegrationProviderResponse
canModifyItemsbooleanWhether the item set of this shipment can still be changed, through PUT /orders/{orderId}/shipments/{shipmentId}/items. False once the shipment leaves the Active status, or once a label, an invoice, a fulfillment request, an approved quotation, or a manual lock names the load it carries.
OrderShippingCostsResponse
FieldTypeDescription
shippingSubTotalnumber (double)
shippingDiscountnumber (double)
shippingTaxnumber (double)
shippingTotalnumber (double)
PriceDetailsResponse
FieldTypeDescription
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
taxRatenumber (double)
taxTypeenum TaxTypeOne of: None, Sales, Vat, Gst, Pst, Hst, Qst, Ist, Ust, Cst.
currencyCurrencyResponse
PrimitiveDimensionPreset
FieldTypeDescription
titlestring
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
PrimitiveIntegrationProviderResponse
FieldTypeDescription
configuredProviderIdstring (uuid)
idinteger (int32)
titlestring
descriptionstring
logoUrlstring
PrimitiveUserResponse
FieldTypeDescription
idstring (uuid)
displayNamestring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
ProductResponse
FieldTypeDescription
idstring (uuid)
codestring
skustring
barcodestring
upcstring
eanstring
mpnstring
titlestring
descriptionstring
bodystring
productLinkstring
productTypeenum ProductTypeOne of: FinishedGood, RawMaterial, Component, Consumable, Service.
statusenum ProductStatusOne of: Active, Inactive, Discontinued.
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
purchasableboolean
isSellableboolean
isPurchasableboolean
isTaxableboolean
requiresShippingboolean
totalAvailableQuantitynumber (double)Available stock derived from the inventory ledger: the sum of (on-hand − reserved) across the product's inventory records at all locations.
totalSoldnumber (double)
totalSoldValuenumber (double)
onSaleboolean
currentPriceProductPriceDetailsResponse
tracesActionMessage[]Get the historical view of changes for this object
defaultImageMetadataFileAttachment
imagesMetadataFileAttachment[]
attachmentsMetadataFileAttachment[]
geometryProductGeometryFieldsResponse
integrationsProductIntegrationProviderResponse[]
localeSymbolicLocaleMetadata
dimensionPresetDimensionPresetResponse
dimensionPresetsDimensionPresetResponse[]
categoriesProductCategoryPrimitive[]
supplierSupplierResponse
groupProductGroupSummaryResponse
tagsstring[]
hasRatingboolean
ratingnumber (double)
metadatamap<string, string>
dateCreatedstring (date-time)
PurchaseOrderItemResponse
FieldTypeDescription
idstring (uuid)
productIdstring (uuid)
productTitlestring
productSkustring
quantityOrderednumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
quantityReceivednumber (double)
quantityRejectednumber (double)
unitCostnumber (double)
subTotalnumber (double)
totalTaxnumber (double)
totalPricenumber (double)
PurchaseOrderResponse
FieldTypeDescription
idstring (uuid)
codestring
supplierIdstring (uuid)
supplierTitlestring
destinationLocationIdstring (uuid)
destinationLocationTitlestring
sourceTransferOrderIdstring (uuid)
statusenum PurchaseOrderStatusOne of: Draft, Ordered, Confirmed, PartiallyReceived, Received, Closed, Cancelled.
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
subTotalnumber (double)
totalTaxnumber (double)
totalPricenumber (double)
expectedDeliveryDatestring (date-time)
effectiveDatestring (date-time)
dateOfReceiptCompletionstring (date-time)
descriptionstring
notesstring
itemsPurchaseOrderItemResponse[]
shipmentsPurchaseOrderShipmentResponse[]
dateCreatedstring (date-time)
dateModifiedstring (date-time)
PurchaseOrderShipmentResponse
FieldTypeDescription
idstring (uuid)
shipmentIdstring (uuid)
shipmentCodestring
shipmentStatusenum ShipmentStatusOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
shipmentFulfillmentStatusenum FulfillmentStatusOne of: Unknown, Unassigned, PendingCollection, PendingDelivery, Fulfilled, Cancelled.
shipmentTrackingIdstring
dateCreatedstring (date-time)
ReceivePurchaseOrderItemRequest

A single receiving line: how much of a given product was received/rejected against the purchase order. unitCost is optional. When omitted it defaults to the line item's ordered unit cost.

FieldTypeDescription
productIdstring (uuid)
quantityReceivednumber (double)
quantityRejectednumber (double)
unitCostnumber (double)
SalesChannelResponse
FieldTypeDescription
idstring (uuid)
titlestring
kindenum SalesChannelKindOne of: Direct, PointOfSale, Online, Marketplace.
defaultLocationIdstring (uuid)
ShipmentItemResponse
FieldTypeDescription
idstring (uuid)
orderItemIdstring (uuid)
productIdstring (uuid)
quantitynumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
titlestring
descriptionstring
geometryGeometryFieldsResponse
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
ShipmentQuotationResponse
FieldTypeDescription
idstring (uuid)
providerPrimitiveIntegrationProviderResponse
itemsFulfillmentItemResponse[]
requiredServicesFulfillmentProviderServiceTypeModel[]
requirementsFulfillmentRequirementTypeModel[]
collectionCollectionResponse
deliveryDeliveryResponse
totalDeclaredValuenumber (double)
isInternationalboolean
isApprovedByUserboolean
totalItemsinteger (int32)
serviceLevelTextstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
deliveryTypeenum FulfillmentDeliveryTypeOne of: Unknown, DoorToDoor, DoorToCollectionPoint, CollectionPointToDoor, CollectionPointToCollectionPoint, DoorToPort, PortToDoor, PortToPort, LockerToLocker.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
dateOfEstimatedCollectionstring (date-time)The estimated collection and delivery dates, when they are known. They are null when no estimate exists. Do not substitute today's date.
dateOfEstimatedDeliverystring (date-time)
currencyCurrencyResponse
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
shipmentShipmentResponse
ShipmentResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
statusenum ShipmentStatusOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
hasDimensionsboolean
dateOfDeparturestring (date-time)
titlestringLimits: maximum 100 characters.
providerServiceLevelIdUid
providerServiceLevelIdTypeenum UidTypeOne of: Unknown, Long, Guid, String.
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
codestring
descriptionstringLimits: maximum 3000 characters.
handlingTypeenum HandlingTypeOne of: Unknown, Delivery, Collection, Unassigned.
requiresApprovalboolean
totalDeclaredValuenumber (double)
quantityOfItemsnumber (double)
trackingIdstring
barcodestring
deliveryDeliveryResponse
collectionCollectionResponse
currencyCurrencyResponse
dispatchDispatchResponse
businessBusinessResponse
customerCustomerResponse
itemsShipmentItemResponse[]
fulfillmentContactsContactResponse[]
orderShipmentsOrderShipmentResponse[]
waypointsShipmentWaypointResponse[]
metadatamap<string, string>
attachmentsMetadataFileAttachment[]
ShipmentWaypointResponse
FieldTypeDescription
idstring (uuid)
segmentPositioninteger (int32)
titlestring
dateCheckedInstring (date-time)
dateCheckedOutstring (date-time)
dateCreatedstring (date-time)
dateModifiedstring (date-time)
addressAddressResponse
VehicleResponse
FieldTypeDescription
idstring (uuid)
licensePlatestring
dateOfLicenseExpirystring (date-time)
licenseDiscstring
vehicleIdentificationNumberstring
modelstring
makestring
acquisitionDatestring (date-time)
vehicleTypeenum VehicleTypeOne of: Motorcycle, LightMotorVehicle, HeavyMotorVehicleSub16, HeaveMotorVehicleOver16.
dateCreatedstring (date-time)
dateModifiedstring (date-time)